# OpenLayers.Control.PanZoom

The PanZoom is a visible control, composed of a OpenLayers.Control.PanPanel and a OpenLayers.Control.ZoomPanel. By default it is drawn in the upper left corner of the map.

#### Inherits from

- OpenLayers.Control

Summary

OpenLayers.Control.PanZoom | The PanZoom is a visible control, composed of a OpenLayers.Control.PanPanel and a OpenLayers.Control.ZoomPanel.
Properties |
slideFactor | {Integer} Number of pixels by which we’ll pan the map in any direction on clicking the arrow buttons.
slideRatio | {Number} The fraction of map width/height by which we’ll pan the map on clicking the arrow buttons.
Constructor |
OpenLayers.Control.PanZoom |
Functions |
destroy |
Constants |
X | {Integer}
Y | {Integer}

### Properties

### slideFactor

{Integer} Number of pixels by which we’ll pan the map in any direction on clicking the arrow buttons. If you want to pan by some ratio of the map dimensions, use slideRatio instead.

### slideRatio

{Number} The fraction of map width/height by which we’ll pan the map on clicking the arrow buttons. Default is null. If set, will override slideFactor. E.g. if slideRatio is .5, then the Pan Up button will pan up half the map height.

### Constructor

### OpenLayers.Control.PanZoom

#### Parameters

options | {Object}

### Functions

### destroy

> destroy: function()

### Constants

### X

{Integer}

### Y

{Integer}

The PanPanel is visible control for panning the map North, South, East or West in small steps.
The ZoomPanel control is a compact collecton of 3 zoom controls: a OpenLayers.Control.ZoomIn, a OpenLayers.Control.ZoomToMaxExtent, and a OpenLayers.Control.ZoomOut.

> destroy: function()

Controls affect the display or behavior of the map.
{Number} The fraction of map width/height by which we’ll pan the map on clicking the arrow buttons.
{Integer} Number of pixels by which we’ll pan the map in any direction on clicking the arrow buttons.
Close